<template>
  <h1>HLS Video Playback</h1>
  <video controls id="video"></video>
</template>

<script>
  import { ref } from 'vue'
  import {defineComponent} from 'vue'
  import Hls from 'hls.js'
  // import { Authenticator } from "@aws-amplify/ui-vue"
  import "@aws-amplify/ui-vue/styles.css"
  import Amplify, { Storage, Auth } from 'aws-amplify'
  import awsconfig from '../aws-exports'
  Amplify.configure(awsconfig);

  export default defineComponent({

    components: {
    },

    mounted(){
        if (Hls.isSupported()) {
          var video = document.getElementById('video');

          // var config = {
          //   debug: true,
          //   xhrSetup: function (xhr,url) {
          //       xhr.withCredentials = true; // do send cookie
          //       xhr.setRequestHeader("Access-Control-Allow-Headers","Content-Type, Accept, X-Requested-With");
          //       // xhr.setRequestHeader("Access-Control-Allow-Origin","http://localhost:3000");
          //       xhr.setRequestHeader("Access-Control-Allow-Credentials","true");
          //   }
          // };
          var hls = new Hls();

          // bind them together
          hls.attachMedia(video);
          hls.on(Hls.Events.MEDIA_ATTACHED, function () {
            console.log('video and hls.js are now bound together !');
            hls.loadSource('https://d1mlsvzi8ore8v.cloudfront.net/out/v1/3060c24862544685bac0a3bbc0249f67/82f97cfa5f714925bc568a45cc196f2e/fb443ef838d743608dae8c69abbb5c04/index.m3u8');
            hls.on(Hls.Events.MANIFEST_PARSED, function (event, data) {
              video.play()
              console.log(
                'manifest loaded, found ' + data.levels.length + ' quality level'
              );
            });
          });
        }
    },

    data: () => {
      return {
        videUrl: "null",
      }
    }

  })

  const count = ref(0)
</script>